Maintained by: NLnet Labs

configure --with-libevent not causing make unbound-event-install

Paul Wouters
Mon Apr 10 18:52:05 CEST 2017


On Mon, 10 Apr 2017, W.C.A. Wijngaards via Unbound-users wrote:

> This install is triggered by the option --enable-event-api .  Just
> enabling --with-libevent does not trigger the install by itself.

What does --with-libevent without --enable-event-api do? The packages
I've created now used --with-libevent and a manually installed header
file. Does --enable-event-api do anything else I am missing?

My point being of course, I see a bug where you see a feature :)

And since every distro got it wrong, I think merging --enable-event-api
and --with-libevent into one target that also installs the header
file is the proper bugfix.

Paul